[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBGroupBox.OnKeyPress

Event handler signalled when a key is being pressed while the control has focus.

## Declaration

Source position: dbctrls.pp line 1151

`published property TDBGroupBox.OnKeyPress : TKeyPressEvent;`

## Description

OnKeyPress is an event controller signalled when a key is being pressed while the control has focus.

Differs from OnKeyDown in that the key needs to become pressed while the control has focus; with OnKeyDown the key may have already been down when the control received focus.

## See also

TWinControl.OnKeyPress |  | Event handler signalled for character data entered by the user.